<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function acosh

Calculate the hyperbolic arccos of a value,
defined as `acosh(x) = ln(sqrt(x^2 - 1) + x)`.

For matrices, the function is evaluated element wise.


## Syntax

```js
math.acosh(x)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | number &#124; Complex &#124; Unit &#124; Array &#124; Matrix | Function input

### Returns

Type | Description
---- | -----------
number &#124; Complex &#124; Array &#124; Matrix | Hyperbolic arccosine of x


## Examples

```js
math.acosh(1.5);       // returns 0.9624236501192069
```


## See also

[cosh](cosh.md),
[asinh](asinh.md),
[atanh](atanh.md)
